Summary: generic support framework for Dan Bernstein's daemontools package
%define name e-smith-daemontools
Name: %{name}
%define version 1.7.1
%define release 06sme02
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: e-smith-daemontools-1.7.1-02.mitel_patch
Patch1: e-smith-daemontools-1.7.1-03.mitel_patch
Patch2: e-smith-daemontools-1.7.1-04.mitel_patch
Patch3: e-smith-daemontools-1.7.1-05.mitel_patch
Patch4: e-smith-daemontools-1.7.1-06.mitel_patch
Patch5: e-smith-daemontools-1.7.1-06sme02.paths_patch
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: daemontools >= 0.70
Obsoletes: supervise-scripts
AutoReqProv: no

%changelog
* Mon Feb 07 2005 Shad L. Lords <slords@mail.com>
- [1.7.1-06sme02]
- Add path to sed so actions work within scripts

* Wed Jan 19 2005 Shad L. Lords <slords@mail.com>
- [1.7.1-06sme01]
- Reverse unnecessary patches (1.7.1-03 thru 1.7.1-06) that break
  lots of things. Thanks goes to Charlie B. for clueing me on to this.

* Mon Jun  7 2004 Michael Soulier <msoulier@e-smith.com>
- [1.7.1-06]
- Fixed the usage message from the daemontools init wrapper. [msoulier 7629]

* Wed May  5 2004 Michael Soulier <msoulier@e-smith.com>
- [1.7.1-05]
- Fixed a typo in daemontools.functions that broke all restarts.
  [msoulier 9170]

* Fri Apr  2 2004 Tony Clayton <apc@e-smith.com>
- [1.7.1-04]
- s/enable/svenable/ for distinction between supervise and configdb status
  [tonyc 9170]
- s/disable/svdisable/ for distinction between supervise and configdb status
  [tonyc 9170]

* Thu Apr  1 2004 Tony Clayton <apc@e-smith.com>
- [1.7.1-03]
- Add initscript actions for supervised processes:
  enable,disable,pid,svpid,pid_log,svpid_log [tonyc 9170]
- Re-work existing daemontools functions to handle enabled/disabled daemontools
  states [tonyc 9170]
- See daemontools wiki [tonyc 9170]

* Wed Feb 18 2004 Michael Soulier <msoulier@e-smith.com>
- [1.7.1-02]
- Added conditional so we don't attempt to start a non-existant logger.
  [msoulier 8819]

* Wed Feb 18 2004 Michael Soulier <msoulier@e-smith.com>
- [1.7.1-01]
- Rolling to collect patches. [msoulier 7629]

* Wed Feb 18 2004 Michael Soulier <msoulier@e-smith.com>
- [1.7.0-04]
- Fixed a hardcoded path that should have been a param. [msoulier 7629]

* Wed Feb 18 2004 Michael Soulier <msoulier@e-smith.com>
- [1.7.0-03]
- Added a sigusr1 option to the daemontools script, so supervised apache can
  be restarted gracefully. [msoulier 7629]

* Mon Feb  2 2004 Michael Soulier <msoulier@e-smith.com>
- [1.7.0-02]
- Added a start of the logger to the start() function, to ensure that it is up
  when the daemon comes up. [msoulier 8819]

* Mon Feb  2 2004 Michael Soulier <msoulier@e-smith.com>
- [1.7.0-01]
- rolling to dev - 1.7.0

* Tue Jul 15 2003 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-04]
- Fix path of svc-st{op,art} wrapper scripts. [charlieb 9448]

* Tue Jul 15 2003 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-03]
- Remove Requires: supervise-scripts, part of rolled back change.
  [charlieb 8819]
- Add svc-st{op,art} wrapper scripts, and obsolete supervise-scripts.
  [charlieb 9448]

* Thu Jul  3 2003 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-02]
- Roll back 1.5.0-04, it breaks too many things [charlieb 8819]
- Change Copyright header to License.

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-01]
- Changing version to stable stream number - 1.6.0

* Thu Jun 26 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.5.0-04]
- Change start() and stop() so they use svc-{start,stop} to ensure
  orderly startup/shutdown of log processes [gordonr 8819]

* Tue May  6 2003 Michael Soulier <msoulier@e-smith.com>
- [1.5.0-03]
- Changed stop function to signal the process only once. Multiple signals can
  actually interfere with the shutdown process. [msoulier 6968]

* Wed Apr  9 2003 Michael Soulier <msoulier@e-smith.com>
- [1.5.0-02]
- Stop function now waits on daemon to shut down, for up to 60 seconds.
  [msoulier 6968]

* Wed Apr  9 2003 Michael Soulier <msoulier@e-smith.com>
- [1.5.0-01]
- roll to dev version to 1.5.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-01]
- Roll to maintained version number to 1.4.0

* Fri Jun 28 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.2-01]
- Remove bogus e-smith-base requirement.

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.1-01]
- Checkin for test build after CVS conversion.

* Wed Jun 5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.0-01]
- rollRPM: Rolled version number to 1.3.0-01. Includes patches up to 1.2.0-03.

* Mon Oct 22 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-03]
- Fixed checking for running processes.

* Fri Aug 17 2001 gordonr
- [1.2.0-02]
- Autorebuild by rebuildRPM

* Wed Aug 8 2001 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-01]
- Rolled version number to 1.2.0-01. Includes patches upto 1.1.0-02.

* Mon Apr 30 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-02]
- added e-smith header to files

* Mon Apr 30 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-01]
- initial release

%description
Provide support framework for Dan Bernstein's daemontools package.

%prep
%setup
%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
%patch5 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post
%postun

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
